# $Revision: 1.37.2.8 $, $Date: 2007/05/28 16:49:05 $
#
# TODO:
# * make it kdeextragears, not kdebluetooth-only
# * Killing gtk+ & xmms-libs deps?
# * get/fix dbus based pin supply
%define		_beta	beta2
%define		_rel	4
Summary:	KDE Bluetooth framework
Summary(pl):	Podstawowe rodowisko KDE Bluetooth
Name:		kdebluetooth
Version:	1.0
Release:	0.%{_beta}.%{_rel}
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kde-bluetooth/%{name}-%{version}_%{_beta}.tar.bz2
# Source0-md5:	3c9b2c4800d8ef0b92dcc481fd9c62c9
Source1:	kde-settings-network-bluetooth.menu
Source2:	network-bluetooth.menu
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-dun_and_fax_handler-desktopfiles.patch
Patch2:		%{name}-nolibsdp.patch
Patch3:		kde-ac260-lt.patch
Patch4:		kde-am.patch
# Patch5:	%{name}-dbuspasskeyagent.diff
URL:		http://kde-bluetooth.sourceforge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6.1
BuildRequires:	bluez-libs-devel >= 2.6-2
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel
BuildRequires:	kdepim-devel
BuildRequires:	libmad-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lockdev-devel
BuildRequires:	openobex-devel >= 1.3-2
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 3.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	xmms-devel
BuildRequires:	xrender-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDE Bluetooth Framework is a set of tools built on top of Linux'
Bluetooth stack BlueZ. Its goal is to provide easy access to the most
common Bluetooth profiles and to make data exchange with Bluetooth
enabled phones and PDAs as straightforward as possible

%description -l pl
Projekt KDE Bluetooth jest zestawem narzdzi zbudowanych na grnej
warstwie stosu Bluetooth BlueZ. Jego celem jest dostarczenie atwego
dostpu do wikszoci profili Bluetooth oraz wymiany danych z
telefonami komrkowymi z Bluetooth oraz PDA tak bezporednio jak to
jest moliwe.

%package devel
Summary:	Header files for kdebluetooth libraries
Summary(pl):	Pliki nagwkowe bibliotek kdebluetooth
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bluez-libs-devel
Requires:	kdelibs-devel
# when no baudboy.h interface
Requires:	lockdev-devel

%description devel
Header files for kdebluetooth libraries.

%description devel -l pl
Pliki nagwkowe bibliotek kdebluetooth.

%prep
%setup -q -n %{name}-%{version}_%{_beta}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Fix for dbus base pin query - http://lists.opensuse.org/opensuse-commit/2006-11/msg00100.html
#%%patch5 -p1

%build
cp %{_datadir}/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{!?debug:--disable-rpath} \
	--with-bluetooth-libraries=%{_libdir} \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged
install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged

cp $RPM_BUILD_ROOT%{_datadir}/desktop-directories/{kde-settings-,}network-bluetooth.directory

mv $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/Peripherals/obex.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/kde
echo "Categories=Qt;KDE;X-KDE-settings-peripherals;" \
	>> $RPM_BUILD_ROOT%{_desktopdir}/kde/obex.desktop

for f in $RPM_BUILD_ROOT%{_desktopdir}/kde/kcm_*.desktop; do
	sed -i 's/Categories=Qt;KDE;X-KDE-settings-network/&-bluetooth/' $f
done

for f in $RPM_BUILD_ROOT%{_desktopdir}/kde/kb*.desktop; do
	sed -i 's/Categories=.*/Categories=Qt;KDE;X-bluetooth;/' $f
done

sed -i 's/Categories=Qt;KDE;X-bluetooth;/&TrayIcon;/' \
	$RPM_BUILD_ROOT%{_desktopdir}/kde/kbluetoothd.desktop

rm -f *.lang
echo > %{name}.lang

for lang in \
	btpaired \
	kbluelock \
	kbluepin \
	kbluetoothdcm \
	kbluetoothd \
	kbtobexclient \
	kbtsearch \
	kbtserialchat \
	khciconfig \
	kioclient \
	libkbluetooth; do
		%find_lang ${lang} --with-kde
		cat ${lang}.lang >> %{name}.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
/etc/xdg/menus/applications-merged/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*
#%{_libdir}/libirmcsynckonnector.la
#%attr(755,root,root) %{_libdir}/libirmcsynckonnector.so
%{_libdir}/kde3/kcm_*.la
%attr(755,root,root) %{_libdir}/kde3/kcm_*.so
%{_libdir}/kde3/kio_*.la
%attr(755,root,root) %{_libdir}/kde3/kio_*.so
%dir %{_libdir}/kdebluetooth
%attr(755,root,root) %{_libdir}/kdebluetooth/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/apps/kbluetoothd
%{_datadir}/apps/kbtobexclient
%dir %{_datadir}/apps/kdebluetooth
%dir %{_datadir}/apps/kdebluetooth/dunhandler
%attr(755,root,root) %{_datadir}/apps/kdebluetooth/dunhandler/dunhandler
%dir %{_datadir}/apps/kdebluetooth/faxhandler
%attr(755,root,root) %{_datadir}/apps/kdebluetooth/faxhandler/faxhandler
%attr(755,root,root) %{_datadir}/apps/kdebluetooth/faxhandler/kbtfax
%{_datadir}/apps/kdebluetooth/job-templates
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/autostart/kbluetoothd.autostart.desktop
%{_datadir}/config/*
%{_datadir}/desktop-directories/*
%{_datadir}/mimelnk/bluetooth
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/[!l]*/*/*/*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/qobex
%{_includedir}/%{name}
#%exclude %{_libdir}/libirmcsynckonnector.la
#%exclude %{_libdir}/libirmcsynckonnector.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdebluetooth.spec,v $
Revision 1.37.2.8  2007/05/28 16:49:05  glen
- rebuild with KDE 3.5.7

Revision 1.37.2.7  2007/02/03 22:21:06  ankry
- tabs

Revision 1.37.2.6  2007/02/02 12:17:24  matkor
- Default automake version patch used.

Revision 1.37.2.5  2007/02/02 10:55:12  matkor
- Fixed build. Contacting dbuspasskeyagent.diff author for recent version.

Revision 1.37.2.4  2006/11/30 16:48:11  glen
- rel 3

Revision 1.37.2.3  2006/10/30 08:46:00  glen
- rel 0.beta2.2

Revision 1.37.2.2  2006/10/23 23:19:59  glen
- merged 1.0-beta2 from HEAD; added kde-common-PLD.patch

Revision 1.37.2.1  2006/05/23 12:52:10  matkor
- Stolen release 9 from HEAD. Works much better than current AC. STBR for Ac

Revision 1.37  2006/04/25 22:13:25  arekm
- rel 9; unknown url bluetooth:/  problem seems fixed now

Revision 1.36  2006/04/25 22:03:36  arekm
- add debian fixes

Revision 1.35  2006/04/25 16:13:31  arekm
- rel 8; build libirmcsynckonnector; fix gcc 4.1 build

Revision 1.34  2006/04/04 08:06:57  adgor
- One more semicolon

Revision 1.33  2006/03/30 06:47:50  arekm
- Th BR for X

Revision 1.32  2006/03/23 09:28:00  qboosh
- release .7

Revision 1.31  2006/03/23 09:27:39  qboosh
- added nolibsdp patch to avoid linking with libsdp when bluez-libs is recent enough
  (currently libsdp is mpeg4ip lib and has nothing to do with Bluetooth)

Revision 1.30  2006/03/21 14:20:15  adgor
- Fixed ... almost everything
- Added dun_and_fax_service-desktopfiles.patch
- Desktopfiles moved to Bluetooth submenus
- Updated TODO
- Release 6, STBR for Ac

Revision 1.29  2006/01/24 18:31:10  arekm
- rel 5; more icons

Revision 1.28  2006/01/13 20:11:39  arekm
- rel .4

Revision 1.27  2005/10/30 12:22:16  arekm
- rel .3

Revision 1.26  2005/06/25 20:26:17  blekot
- only hicolor icons

Revision 1.25  2005/06/01 01:26:25  ankry
- epoch fix in dep

Revision 1.24  2005/04/07 18:22:26  darekr
- _kdedocdir needs macros 1.129

Revision 1.23  2005/03/22 21:11:10  saq
- sorted BR

Revision 1.22  2005/03/22 21:06:01  pbern
- BR: xmms-devel

Revision 1.21  2005/03/22 12:13:57  migo
- typo in description

Revision 1.20  2005/03/21 21:03:21  qboosh
- unified, killed regression (missing dir)

Revision 1.19  2005/03/21 11:48:41  blekot
- cosmetics

Revision 1.18  2005/03/21 11:29:16  blekot
- builds

Revision 1.17  2005/03/21 09:41:48  blekot
- starting to kdebluetooth-1.0_beta1
- rel 0.1
- epoch 1 (last version 3.3.2 was a snapshot)
- patch0 is obsolete
- NFY!

Revision 1.16  2005/03/19 16:00:52  averne
- BR: kdelibs-devel

Revision 1.15  2005/03/05 20:25:50  qboosh
- finally fixing files, more devel deps
- pass --with-bluetooth-libraries to avoid -L/usr/lib on archs with lib64

Revision 1.14  2005/03/05 19:02:00  qboosh
- Categories bugfix

Revision 1.13  2005/03/05 18:07:08  ankry
- spaces -> tabs

Revision 1.12  2005/03/05 12:38:06  blekot
- vfolders completed
- %files cleanup
- rel 1
- work fine for me

Revision 1.11  2005/03/04 22:46:17  qboosh
- noticed some packaging bugs - requires build fixes

Revision 1.10  2005/03/04 21:26:14  blekot
- URL v2
- STBR (test)

Revision 1.9  2005/03/04 21:24:19  blekot
- description upgraded from homepage
- URL

Revision 1.8  2005/03/04 21:09:59  blekot
- small fix from glen

Revision 1.7  2005/03/04 21:08:03  blekot
- starting to adaptize vfolders in %files
- rel 0.2
- build

Revision 1.6  2005/03/03 16:19:58  blekot
- back to kdeextragear-3-3.3.2
- NFY (check vfolders)
- rel 0.1

Revision 1.5  2005/02/26 15:27:40  blekot
- snap sources upgraded
- still doesn't build
- NFY

Revision 1.4  2004/04/11 14:14:47  qboosh
- BR: bluez-libs-devel with nonempty libsdp

Revision 1.3  2004/04/11 10:57:59  qboosh
- some descriptions, missing dirs and notes ffu

Revision 1.2  2004/04/10 12:11:48  adasi
- a fixed one
- still lots to do
